1

Тема: установка на хостинг

Добрый день.
После загрузки файлов на хостинг и соответствующих манипуляций с БД при попытке запуска браузер дает ERROR 500, а в логах сервера вот так:
[Tue Sep 24 22:15:43 201] [error] [client ...171] PHP Warning:  require(/www/vendor/composer/ClassLoader.php): failed to open stream: No such file or directory in /www/vendor/composer/autoload_real.php on line 12
[Tue Sep 24 22:15:43 201] [error] [client ...171] PHP Fatal error:  require(): Failed opening required '/www/vendor/composer/ClassLoader.php' (include_path='.:/usr/share/pear:/usr/share/php') in /www/vendor/composer/autoload_real.php on line 12

Подскажите пожалуйста в чем проблема?

2

Re: установка на хостинг

Ну у вас  очевидно нет папки Vendor.  Если  взяли с  гитхаба  то надо заустить composer чтобы  притащил все библиотеки.
Или возмите готовую  сборку  https://zippy.com.ua/download/fullzstore.zip?v=1.8.2

3

Re: установка на хостинг

Брал именно готовую. Файлы в папке vendor имеются. Версия PHP 5.4 на сервере.

Скрин с ftp:
https://content.screencast.com/users/zakupra/folders/Jing/media/4ce299e3-22d5-4df2-b443-89946db3b508/2019-09-26_2212.png

Может быть права не верно настроены?

4

Re: установка на хостинг

Переименовал classloader.php в ClassLoader.php.

Теперь так:

PHP Fatal error:  Class 'Monolog\\Logger' not found in /home/srv58954/profilZ/www/init.php on line 17

5

Re: установка на хостинг

Прошу прощения. Тупанул.
Древний тотал командер при копировании переименовал всё в нижний регистр по умолчанию. По этому и не работало. Перезалил. Всё заработало. Спасибо!

6

Re: установка на хостинг

Пользусь  тоталом лет 15   на  разу  такого не  учудил.
А  вообще  PHP желательно семерку  -  там некоторые библиотеки в следующих версиях уже могут не работать на  меньше  7.0

7

Re: установка на хостинг

support пишет:

Пользусь  тоталом лет 15   на  разу  такого не  учудил.
А  вообще  PHP желательно семерку  -  там некоторые библиотеки в следующих версиях уже могут не работать на  меньше  7.0

Да. Пробовал локально обновить composer и он уже ругался на версию php.